function [fh,gah] = figland(vis)
% opens a portrait figure window
% creates a global figure axes holding the whole page 
% returns the handle to the figure and the global axes

% 15 may 2003
% Note: on hyla, if you try to use a bigger window, to reach
% full 8.5 x 11 inches on-screen, a very unpredictable auto-
% scaling of the 'position' values kicks in. So don't do it. 
% By specifying position of [0.5 0.5 11 8.5], as used here, 
% you get a window on-screen that is about 0.87 as big as it 
% should be.

% eval(sprintf(['fh = figure(''Units'',''inches'',''Position'','...
% 	'[0.5 0.5 11 8.5],''PaperUnits'',''inches'',''PaperPosition'','...
% 	'[0 0 11 8.5],''PaperOrientation'',''Landscape'',''Visible'','...
% 	' ''%s'');'],vis));
fh = figure('Units','inches','Position',[0.5 0.5 11 8.5],...
    'PaperUnits','inches','PaperPosition',[0 0 11 8.5],...
    'PaperOrientation','Landscape','Visible',vis);

gah = axes('Position',[0 0 1 1],'Visible','off');
