% setpath.m
% re-initialize paths
%   presumes that the only non-toolbox paths that
%     exist are listed in the path previous to c:\matlab
%   only prepends directories to path 

currdir = pwd;
response = input('SETPATH: Erase current localpath settings? [yes]/no: ','s');

% unless response was "no": erase current paths rel to pwd 

if ~isequal(response,'no')
    p = path;
    path(p(findstr(p,'c:\matlab;'):length(p)));
end
clear p response;

% regardless of response: get new dir & create new paths

nwdir = input(sprintf(['SETPATH: From what directory '...
        'will you work? [%s]: '],strrep(currdir,'\','\\')),'s');
if isempty(nwdir)
   nwdir = currdir;
end
clear currdir;

% in order of lowest to highest priority

cd(nwdir);
cd ..;
if exist('pub','dir') == 7
	addpath( [nwdir(1:max(find(nwdir == '\'))) 'pub'] );
end
cd(nwdir);
if exist('in','dir') == 7
	addpath( [nwdir '\in'] );
end
if exist('sub','dir') == 7
	addpath( [nwdir '\sub'] );
end
if exist('dat','dir') == 7
	addpath( [nwdir '\dat'] );
end
if exist('plt','dir') == 7
	addpath( [nwdir '\plt'] );
end
if exist('diary','dir') == 7
	addpath( [nwdir '\diary'] );
end

addpath(nwdir);

clear nwdir currdir;

